package com.fdkankan.scene.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.fdkankan.scene.entity.Scene;
import com.fdkankan.scene.vo.SceneEditVO;
import org.springframework.web.multipart.MultipartFile;

import java.io.IOException;

public interface ISceneAppService extends IService<Scene> {

    int saveInitialPage(SceneEditVO base) throws Exception;

    int saveFloorLogo(SceneEditVO base) throws Exception;

    int saveHot(SceneEditVO base) throws Exception;

    int saveBackgroundMusic(SceneEditVO base) throws Exception;

    int saveSceneInfo(SceneEditVO base) throws Exception;

    int saveSceneKey(SceneEditVO base) throws Exception;

    int saveTourList(SceneEditVO base) throws Exception;

    Object uploadPic(String sceneNum, String folderName, MultipartFile file) throws IOException;

    Object uploadScreencapVoice(String sceneNum, MultipartFile file) throws IOException;

    int saveScreencapFile(SceneEditVO base) throws Exception;

    int saveHotVisible(SceneEditVO base) throws Exception;

    int saveLinkPano(SceneEditVO base) throws Exception;

    Object getRecordAudioFromWeixin(SceneEditVO base) throws Exception;
}
